<template>
  <template-page
    ref="pageRef"
    :get-list="getList"
    :exportList="exportList"
    :table-attributes="tableAttributes"
    :table-events="tableEvents"
    :options-evens-group="optionsEvensGroup"
    :moreParameters="moreParameters"
    :column-parsing="columnParsing"
  >
  </template-page>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import { required, mobileRequired, mobile, httpUrl, email } from '@/components/template/rules_verify.js'
import { policyOrderList, policyOrderListExport } from '@/api/accidentInsurance'
export default {
  components: { TemplatePage },
  mixins: [],
  data() {
    return {
      // 事件组合
      optionsEvensGroup: [],
      // 表格属性
      tableAttributes: {
        // 启用勾选列
        selectColumn: false
      },
      // 表格事件
      tableEvents: {
        'selection-change': this.selectionChange
      },
      // 勾选选中行
      recordSelected: []
    }
  },
  computed: {
    // 更多参数
    moreParameters() {
      return [
        {
          name: '保单状态',
          key: 'policyOrderStatus',
          value: '',
          conditions: [
            {
              label: '全部',
              value: ''
            },
            {
              label: '保障中',
              value: 'BZZ'
            },
            {
              label: '待生效',
              value: 'DSX'
            },
            {
              label: '已失效',
              value: 'YSX'
            }
          ]
        }
      ]
    },
    formItems() {
      return []
    }
  },
  created() {},
  methods: {
    // 列表请求函数
    getList(p, cb) {
      var pam = JSON.parse(JSON.stringify(p))
      try {
        if (pam.policyOrderStatus) {
          pam.params.push({ param: 'policy_order_status', compare: '=', value: pam.policyOrderStatus })
        }
        cb && cb(pam)
        return policyOrderList(pam)
      } catch (err) {
        console.log(err)
      }
    },
    // 列表导出函数
    exportList: policyOrderListExport,
    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
      return defaultData
    },
    // 表格操作列
    operation(h, { row, index, column }) {}
  }
}
</script>

<style lang="scss" scoped>
.tab {
  padding: 20px 20px 0 20px;
}
</style>
